Package Details: neovim-qt 0.2.7-1

Git Clone URL: https://aur.archlinux.org/neovim-qt.git (read-only)
Package Base: neovim-qt
Description: Neovim client library and GUI, in Qt5.
Upstream URL: https://github.com/equalsraf/neovim-qt
Keywords: neovim neovim-qt qt vim
Licenses: ISC
Conflicts: neovim-qt-git
Provides: neovim-qt
Submitter: ianks
Maintainer: ianks
Last Packager: ianks
Votes: 13
Popularity: 2.122148
First Submitted: 2016-11-10 20:45
Last Updated: 2017-07-24 16:52

Latest Comments

minami commented on 2017-07-09 13:06

The compilation failed for me with:

[ 20%] Building CXX object src/gui/shellwidget/CMakeFiles/qshellwidget.dir/shellwidget.cpp.o
In file included from /tmp/yaourt-tmp-miminar/aur-neovim-qt/src/neovim-qt-0.2.4/third-party/msgpack-c-cpp-1.4.0/src/unp
ack.c:268:0:
/tmp/yaourt-tmp-miminar/aur-neovim-qt/src/neovim-qt-0.2.4/third-party/msgpack-c-cpp-1.4.0/include/msgpack/unpack_templa
te.h: In Funktion »template_execute«:
/tmp/yaourt-tmp-miminar/aur-neovim-qt/src/neovim-qt-0.2.4/third-party/msgpack-c-cpp-1.4.0/include/msgpack/unpack_templa
te.h:250:17: Fehler: diese Anweisung könnte durchfallen [-Werror=implicit-fallthrough=]
++p;
^~~
/tmp/yaourt-tmp-miminar/aur-neovim-qt/src/neovim-qt-0.2.4/third-party/msgpack-c-cpp-1.4.0/include/msgpack/unpack_templa
te.h:252:13: Anmerkung: hier
default:
^~~~~~~
cc1: Alle Warnungen werden als Fehler behandelt
[ 22%] Building CXX object src/gui/shellwidget/CMakeFiles/qshellwidget.dir/konsole_wcwidth.cpp.o
[ 22%] Building CXX object src/gui/shellwidget/CMakeFiles/qshellwidget.dir/qshellwidget_autogen/moc_compilation.cpp.o
make[2]: *** [third-party/msgpack-c-cpp-1.4.0/CMakeFiles/msgpackc-static.dir/build.make:63: third-party/msgpack-c-cpp-1
.4.0/CMakeFiles/msgpackc-static.dir/src/unpack.c.o] Fehler 1
make[2]: *** Es wird auf noch nicht beendete Prozesse gewartet....
[ 22%] Building C object third-party/msgpack-c-cpp-1.4.0/CMakeFiles/msgpackc-static.dir/src/objectc.c.o
make[1]: *** [CMakeFiles/Makefile2:177: third-party/msgpack-c-cpp-1.4.0/CMakeFiles/msgpackc-static.dir/all] Fehler 2
make[1]: *** Es wird auf noch nicht beendete Prozesse gewartet....
[ 24%] Linking CXX static library ../../../lib/libqshellwidget.a
[ 24%] Built target qshellwidget
make: *** [Makefile:163: all] Fehler 2


I can compile neovim-qt-git-v0.2.4.r27.gc58dab1-1-x86_64.pkg.tar.xz just fine though.

ianks commented on 2016-11-29 19:05

SuperBo: The latest version now sets the correct prefix.

SuperBo commented on 2016-11-17 13:22

Can u change PREFIX of package to /usr
Currently, it is set to /usr/local